## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           rpmdeplint
Version:        2.0
Release:        %autorelease
Summary:        Tool to find errors in RPM packages in the context of their dependency graph
License:        GPL-2.0-or-later
URL:            https://github.com/fedora-ci/rpmdeplint
Source0:        %{pypi_source rpmdeplint}
BuildArch:      noarch

# The base package is just the CLI, which pulls in the rpmdeplint
# Python modules to do the real work.
Requires:       python3-rpmdeplint = %{version}-%{release}

%description
Rpmdeplint is a tool to find errors in RPM packages in the context of their
dependency graph.


%package -n python3-rpmdeplint
%{?python_provide:%python_provide python3-rpmdeplint}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  make
# These rpms don't provide python3.11dist(librepo|solv)
# https://bugzilla.redhat.com/show_bug.cgi?id=2237481
BuildRequires:  python3-librepo
BuildRequires:  python3-solv
Requires:       python3-librepo
Requires:       python3-solv

%description -n python3-rpmdeplint
Rpmdeplint is a tool to find errors in RPM packages in the context of their
dependency graph.

This package provides a Python 3 API for performing the checks.

%prep
%autosetup -n rpmdeplint-%{version}

%generate_buildrequires
# The -w flag is required for EPEL 9's older hatchling
%pyproject_buildrequires %{?el9:-w} -x docs -x tests

%build
%pyproject_wheel
make -C docs man

%install
%pyproject_install

mkdir -p %{buildroot}%{_mandir}/man1/
mv docs/_build/man/rpmdeplint.1 %{buildroot}%{_mandir}/man1/

%pyproject_save_files rpmdeplint

%check
%pytest tests/unit/ -k "not TestDependencyAnalyzer"
# Acceptance tests do not work in mock because they require .i686 packages.

%files
%{_bindir}/rpmdeplint
%{_mandir}/man1/rpmdeplint.1.*

%files -n python3-rpmdeplint -f %{pyproject_files}
%license COPYING
%doc README.md

%changelog
## START: Generated by rpmautospec
* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.0-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Packit <hello@packit.dev> - 2.0-1
- [packit] 2.0 upstream release

* Fri Sep 29 2023 Packit <hello@packit.dev> - 2.0~rc3-1
- [packit] 2.0rc3 upstream release

* Fri Sep 15 2023 Jiri Popelka <jpopelka@redhat.com> - 1.4-1
- Revert "Update to upstream 1.6"

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.4-27
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.4-24
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.4-21
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 03 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 1.4-18
- Add BR python3-setuptools

* Fri May 29 2020 Miro Hrončok <mhroncok@redhat.com> - 1.4-17
- Rebuilt for Python 3.9

* Fri May 29 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 1.4-16
- Decode rpm_file[rpm.RPMTAG_ARCH] only if it is bytes (RHBZ#1693774)

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.4-15
- Rebuilt for Python 3.9

* Wed May 20 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 1.4-14
- Silence some Deprecation warnings (RHBZ#1832171)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4-12
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4-11
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 10 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 1.4-9
- Update fix for F29+ to handle all g.problems occurences

* Wed May 29 2019 Miroslav Vadkerti <mvadkert@redhat.com> - 1.4-8
- Incorporate fix for F29+ from frantisekz - https://src.fedoraproject.org/rpms/rpmdeplint/pull-request/1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 07 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4-5
- Remove python2-rpmdeplint (#1634569)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Nov 20 2017 Dan Callaghan <dcallagh@redhat.com> - 1.4-1
- upstream bug fix release 1.4:
  https://rpmdeplint.readthedocs.io/en/latest/CHANGES.html

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 21 2017 Dan Callaghan <dcallagh@redhat.com> - 1.3-2
- subpackage requirement should be versioned (RHBZ#1462047)

* Fri Apr 28 2017 Dan Callaghan <dcallagh@redhat.com> - 1.3-1
- upstream bug fix release 1.3:
  https://rpmdeplint.readthedocs.io/en/latest/CHANGES.html

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2-3
- Rebuild for Python 3.6

* Thu Oct 20 2016 Dan Callaghan <dcallagh@redhat.com> - 1.2-2
- split Python module into its own package, ship both Python 2 and
  Python 3 versions

* Mon Oct 17 2016 Dan Callaghan <dcallagh@redhat.com> - 1.2-1
- initial version

## END: Generated by rpmautospec
